Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84224 - There is no way to add a ppd file to the print manager from the gui
Summary: There is no way to add a ppd file to the print manager from the gui
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
: 87671 106865 113477 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 17:47 UTC by Jeff Adams
Modified: 2007-04-18 16:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-02 18:02:40 UTC


Attachments (Terms of Use)

Description Jeff Adams 2003-02-13 17:47:51 UTC
Description of problem:
I have a Tektronix 740p which is not one of the built in choices.  I figured out
where to add the ppd file manually, but even after I did this the print manager
application did not act on it.  I was able to add it via kprint and configure
the printer as I wanted (duplex printing, use lower tray, face down).  However
after I did this print mamanger showed it as a "raw" printer.

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. obtain ppd file for printer (verify EOL markers)
2. move to /usr/share/cups/model
3. try to add printer via print manager.
    
Actual results:
ppd file is not a choice, you must use kprint instead.

Expected results:
should be able to add a "driver" (e.g. ppd file) from print manager gui.

Additional info:

Comment 1 Tim Waugh 2003-02-13 17:53:42 UTC
This functionality will be much easier with the newer (3.0-based) foomatic, when
it's ready.

Comment 2 Tim Waugh 2003-04-01 10:53:25 UTC
*** Bug 87671 has been marked as a duplicate of this bug. ***

Comment 3 Trond Eivind Glomsrød 2003-10-08 09:57:14 UTC
Foomatic 3 has arrived in trees a while ago now....

Comment 4 Tim Waugh 2003-11-05 14:44:36 UTC
*** Bug 106865 has been marked as a duplicate of this bug. ***

Comment 5 Tim Waugh 2004-01-16 13:22:09 UTC
*** Bug 113477 has been marked as a duplicate of this bug. ***

Comment 6 bill parducci 2004-11-21 00:31:55 UTC
i am experiencing this same problem with EWS3. kprinter & cups see the
PPD, but redhat-config-printer does not, nor does there seem to be a
way to 'teach' it to.

Comment 7 David Anderson 2004-11-24 14:25:50 UTC
Bill: See #113477 - it's been added in Fedora Core 2; for EWS3, 
you'll either need to compile your own redhat-config-printer based on 
the FC2 or FC3 sources, or wait for EWS4 to arrive. 


Note You need to log in before you can comment on or make changes to this bug.